# OSGeo::FDO::Geometry::ObjectFactory Class Reference
[OSGeo::FDO::Geometry]

List of all members.

## Detailed Description

()

## Static Public Member Functions
static OSGeo::FDO::Geometry::CurveSegmentCollection * | CreateCurveSegmentCollection (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Geometry::ICircularArcSegment * | CreateICircularArcSegment (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Geometry::ICurvePolygon * | CreateICurvePolygon (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Geometry::ICurveSegmentAbstract * | CreateICurveSegmentAbstract (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Geometry::ICurveString * | CreateICurveString (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Geometry::IDirectPosition * | CreateIDirectPosition (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Geometry::IEnvelope * | CreateIEnvelope (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Geometry::IGeometry * | CreateIGeometry (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Geometry::ILinearRing * | CreateILinearRing (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Geometry::ILineString * | CreateILineString (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Geometry::ILineStringSegment * | CreateILineStringSegment (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Geometry::IMultiCurvePolygon * | CreateIMultiCurvePolygon (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Geometry::IMultiCurveString * | CreateIMultiCurveString (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Geometry::IMultiGeometry * | CreateIMultiGeometry (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Geometry::IMultiLineString * | CreateIMultiLineString (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Geometry::IMultiPoint * | CreateIMultiPoint (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Geometry::IMultiPolygon * | CreateIMultiPolygon (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Geometry::IPoint * | CreateIPoint (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Geometry::IPolygon * | CreateIPolygon (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Geometry::IRing * | CreateIRing (System::IntPtr ptr, System::Boolean autoDispose)